> For the complete documentation index, see [llms.txt](https://docs.yoplanning.support/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yoplanning.support/en/information-de-mise-a-jour/rapport-de-maj-2024/mise-a-jour-du-10-juin-2024.md).

# Mise à jour du 10 Juin 2024

### Additions

#### Display order status and filtering capability

* **List of articles**:
  * Added status display for each order in the item list.
  * Ability to filter orders by status.

#### Stripe Terminal now available: [Doc click here](/en/yoplanning-academy/yoplanning-au-quotidien/paiement-et-transactions-sur-yoplanning/guide-dutilisateur-pour-la-mise-en-place-du-terminal-stripe-de-paiement.md)

* **Mobile Application**:
  * The Android and iOS mobile apps have been updated to be compatible with Stripe Terminal.

#### Possibility to generate multiple promo codes

* **Promo code management**:
  * New feature to generate multiple promo codes simultaneously.

#### API Update

* **\[API]** :
  * Added queryParams `start_date` and `end_date` for `online_products`.
  * Added `online-products/[product_id]` endpoint to retrieve a specific product.
  * Updated API documentation with latest features.

#### Wordpress Plugin

* Wordpress plugin available for BE integration script.

### Corrections

#### Displaying the day interval for fees

* **\[add-fee]** :
  * Fixed day interval display to include last day.

#### Calculation of fees

* **\[Fee]**:
  * Critical correction: taking into account BE baskets for the calculation of fees.
  * We no longer generate empty fees.

#### Various problems

* **Booking module**:
  * Improved performance and fixed crash if session does not exist.
  * Fixed display of session date in direct access to P3.
* **\[Bill]** :
  * Fixed division by zero in case of free product.
  * Fixed crash when displaying invoice with `price_without_promo` set to `None`.
* **\[payment-manager]** :
  * Fixed a bug when choosing a secondary payment solution.
  * Secondary payment methods are now handled correctly.

#### Translations and typography

* Corrections to translations and typographical errors.

### Modifications

#### End date for fees

* **\[add-fee]** :
  * The end date of fees is now automatically set to the last day of the current month.

#### Stripe Account Migration

* **\[stripe]** :
  * Stripe Express replaces Stripe Standard accounts.
  * Existing accounts will continue to operate normally and will need to be migrated to Stripe Express.
  * Express (and migrated) accounts switch to direct payment. Non-migrated accounts remain in indirect payment.

#### Modification of the post-registration information request form

* **System Redesign**:
  * No more question marks in the interface when there are 6 or 8 people. It is now a quantity that will divide as people enter their more detailed information of first name and other personalized fields.
  * The big improvement is being able to do a full entry at the counter, just put in a quantity of people and people will be able to each give their details via the form they will receive by email.

#### Text Editor

* **\[text-editor]** :
  * Migrating to Quill.js V2.

#### Session details

* **\[session-detail/booking]**:
  * Display session time on a new line.

#### Import customer

* **\[script import client]** :
  * Accepting the absence of `first_name`, replaced by a "." if empty.

### Deletions

#### Toggle filter based on session date

* **\[booking-list]** :
  * Removed the "session based date" toggle filter.

### API Improvements

* Improved P3 performance and fixed crash if command line without participant in activity.
* Fixed CSS on login provider buttons on mobile.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yoplanning.support/en/information-de-mise-a-jour/rapport-de-maj-2024/mise-a-jour-du-10-juin-2024.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
